Skip to main content
`Ctrl`+`K`

# PetscFESetBasisSpace

Sets the `PetscSpace` used for the approximation of the solution

## Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscFESetBasisSpace(PetscFE fem, PetscSpace sp)

Not Collective

## Input Parameters

- fem - The `PetscFE` object

- sp - The `PetscSpace` object

## Developer Notes

There is `PetscFESetBasisSpace()` but the `PetscFESetDualSpace()`, likely the Basis is unneeded in the function name

## See Also

`PetscFE`, `PetscSpace`, `PetscDualSpace`, `PetscFECreate()`, `PetscFESetDualSpace()`

## Level

intermediate

## Location

src/dm/dt/fe/interface/fe.c

Index of all FE routines
Table of Contents for all manual pages
Index of all manual pages